| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
Solution.cpp File Reference

Definition file for class Solution. More...

`#include "cantera/base/Solution.h"`
`#include "cantera/base/Interface.h"`
`#include "cantera/base/ExtensionManager.h"`
`#include "cantera/thermo/ThermoPhase.h"`
`#include "cantera/thermo/ThermoFactory.h"`
`#include "cantera/kinetics/Kinetics.h"`
`#include "cantera/kinetics/KineticsFactory.h"`
`#include "cantera/transport/Transport.h"`
`#include "cantera/transport/TransportFactory.h"`
`#include "cantera/base/stringUtils.h"`
`#include <boost/algorithm/string.hpp>`
Include dependency graph for Solution.cpp:

## Detailed Description

Definition file for class Solution.

Definition in file Solution.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Solution > | newSolution (const string &infile, const string &name="", const string &transport="", const vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Solution manager from an input file.
shared_ptr< Solution > | newSolution (const string &infile, const string &name, const string &transport, const vector< string > &adjacent)
| Create and initialize a new Solution from an input file.
shared_ptr< Solution > | newSolution (const AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const string &transport="", const vector< shared_ptr< Solution > > &adjacent={}, const map< string, shared_ptr< Solution > > &related={})
| Create and initialize a new Solution manager from AnyMap objects.